:: Disclaimer: scripts are provided as-is and most of them use tools that are open source
:: or require a (small) license fee when used in a commercial environment. It is the 
:: responsibility of the end user that use scripts to respect the license agreement for
:: these tools. EFI can not be held responsible in any way if scripts don't behave like
:: they should do resulting in any form of financial loss or downtime. Have a good day.  

:: This script works with the "SaveXML" script after the 'Convert to PDF' and the
:: 'Basic Preflight' modules in the XML Workflow.

:: Fiery JobFlow provided arguments
set INPUT=%~1
set OUTPUT=%~2
set JOBNAME=%~n3
set WORKFLOW=%~4
set PREFLIGHT=%~5
set VAULT=%~6
set NEXTMODULEID=%~7

::Static arguments
set pathScript=%~dp0
set ScriptName=%~n0
set pathLog=%VAULT%\%ScriptName%.log
set pathInclude=%pathScript%\_include
set pathJSON=%VAULT%\params_%NEXTMODULEID%.json

::Helper Apps
:: #xmlstarlet#
set pathXML=%pathInclude%\xmlstarlet\xml.exe
if not exist %pathXML% (
    >>%pathLog% echo %DATE% %TIME% [ERROR] Cannot find %pathXML%. Download from http://xmlstar.sourceforge.net Exit script.
    exit /b 1
)

:: This will capture the following data from the JDF ticket:
:: Order name: /JDF/JDF/@DescriptiveName

set txtOrderName=

:get_ordername
for /f "delims=" %%N in ('%pathXML% sel -N JDF^="http://www.CIP4.org/JDFSchema_1_1" -t -m "/JDF:JDF/JDF:JDF/@DescriptiveName" -v . -n "%VAULT%\part2"') do set txtOrderName=%%N
>>%pathLog% echo %DATE% %TIME% [INFO] Order name: %txtOrderName%

:next_module
move /y "%VAULT%\Saved.xml" "C:\SmartFolders\GCI Digital Files\%txtOrderName%.mjm"
move /y "%INPUT%" "%OUTPUT%%
>>%pathLog% echo %DATE% %TIME% [INFO] Copied %INPUT% to %OUTPUT%

:success
exit /b 0